/***************************************************************************
 $RCSfile: rsacard.h,v $
                             -------------------
    cvs         : $Id: rsacard.h,v 1.1 2004/10/09 00:00:45 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/


#ifndef AH_MEDIUM_RSACARD_H
#define AH_MEDIUM_RSACARD_H

#include <aqhbci/medium.h>
#include <gwenhywfar/buffer.h>
#include <gwenhywfar/crypt.h>
#include <gwenhywfar/keyspec.h>


/** @name Constructor And Destructor
 *
 */
/*@{*/
AH_MEDIUM *AH_MediumRSACard_new(AH_HBCI *hbci,
                                AH_MEDIUMPROVIDER *mp,
                                const char *mediumName);
/*@}*/


AH_MEDIUMPROVIDER *AH_MediumRSACardProvider_new(AH_HBCI *hbci);



#endif /* AH_MEDIUM_RSACARD_H */


